org.eclipse.actf.model.dom.html

## Interface IParserError

All Known Subinterfaces:
  IErrorHandler

All Known Implementing Classes:
  AnchorUnderAnchorHandler, FormExpander, FormInserter, FramesetErrorHandler, HTMLErrorHandler, IgnoreFont, TRErrorHandler, UnknownElementErrorHandler

    public interface IParserError

Interface for parser error constants

### Field Summary

Fields
`static int` `ATTR_VALUE` Error code for token-level error of attribute value.
`static int` `BEFORE_ATTRNAME` Error code for token-level error before attribute's name.
`static int` `BOM`
`static int` `DOCTYPE_MISSED` Error code for missing DOCTYPE declaration.
`static int` `FLOATING_ENDTAG` Error code for a floating endtag.
`static int` `ILLEGAL_ATTRIBUTE` Error code for an illegal attribute.
`static int` `ILLEGAL_CHILD` Error code for illegal child.
`static int` `ILLEGAL_DOCTYPE` Error code for syntax error of DOCTYPE declaration.
`static int` `ILLEGAL_TOP_ELEMENT` Error code for an illegal top element.
`static int` `MISC_ERR` Error code for miscellenious
`static int` `STARTTAG_SYNTAX_ERR` Error code for syntax error of start tag text.
`static int` `SUDDEN_ENDTAG` Error code for sudden endtag.
`static int` `TAG_NAME` Error code for token-level error of tag name.
`static int` `UNKNOWN_ELEMENT` Error code for unknown elements (not defined in pre-read DTD)

### Field Detail

#### DOCTYPE_MISSED

    static final int DOCTYPE_MISSED

Error code for missing DOCTYPE declaration. This kind of error is not dealt with error handlers

See Also:
  Constant Field Values

#### ILLEGAL_DOCTYPE

    static final int ILLEGAL_DOCTYPE

Error code for syntax error of DOCTYPE declaration. This kind of error is not dealt with error handlers

See Also:
  Constant Field Values

#### ILLEGAL_TOP_ELEMENT

    static final int ILLEGAL_TOP_ELEMENT

Error code for an illegal top element. For HTML example, if an HTML document starts with <LI> as follows, this is an illegal top element. Because of the doctype declaration the document must start with <HTML>

       <!DOCTYPE

     HTML

      PUBLIC "-//W3C//DTD HTML 4.0//EN">

     <LI>

This kind of error is not dealt with error handlers

See Also:
  Constant Field Values

#### ILLEGAL_ATTRIBUTE

    static final int ILLEGAL_ATTRIBUTE

Error code for an illegal attribute. If an element has an unknown attribute, that is an illegal attribute.

See Also:
  Constant Field Values

#### FLOATING_ENDTAG

    static final int FLOATING_ENDTAG

Error code for a floating endtag. Endtags whose corresponding start tag is missing are defined as floating. For HTML example, following </P> is floating because the P element is closed before HR.

       <P>
         ...
       <!-- Here is an omitted end tag of P becase following HR is now allowed
               as a child of P -->
       <HR>
         ...
       </P>

See Also:
  Constant Field Values

#### SUDDEN_ENDTAG

    static final int SUDDEN_ENDTAG

Error code for sudden endtag. A strange endtag that appears in some context is defined as sudden. For HTML example, following </I> is sudden.

        <I> ... <B> ...

     </I>

      ... </B>

See Also:
  Constant Field Values

#### ILLEGAL_CHILD

    static final int ILLEGAL_CHILD

Error code for illegal child. A node that is not allowed as a child of context's element is defined as an illegal child. For HTML example, following P element is an illegal child of HEAD

      <HTML>
       <HEAD>

     <P> Illegal </P>

        <TITLE>
      ...

See Also:
  Constant Field Values

#### UNKNOWN_ELEMENT

    static final int UNKNOWN_ELEMENT

Error code for unknown elements (not defined in pre-read DTD)

See Also:
  Constant Field Values

#### STARTTAG_SYNTAX_ERR

    static final int STARTTAG_SYNTAX_ERR

Error code for syntax error of start tag text.

See Also:
  Constant Field Values

#### MISC_ERR

    static final int MISC_ERR

Error code for miscellenious

See Also:
  Constant Field Values

#### ATTR_VALUE

    static final int ATTR_VALUE

Error code for token-level error of attribute value.

See Also:
  Constant Field Values

#### BEFORE_ATTRNAME

    static final int BEFORE_ATTRNAME

Error code for token-level error before attribute's name.

See Also:
  Constant Field Values

#### TAG_NAME

    static final int TAG_NAME

Error code for token-level error of tag name.

See Also:
  Constant Field Values

#### BOM

    static final int BOM

See Also:
  Constant Field Values